Subject: Hillary Clinton's REVENGE On Trump Supporters? UNCENSORED VIDEO

From: "HSI Leaks" <[email-masked]>
Date: Thu, 9 Feb 2017 13:38:45 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.